"use strict";
/**
 * Copyright (c) Microsoft Corporation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.InspectorController = void 0;
const utils_1 = require("../../utils/utils");
const recorderSupplement_1 = require("./recorderSupplement");
class InspectorController {
    async onContextCreated(context) {
        if (utils_1.isDebugMode()) {
            recorderSupplement_1.RecorderSupplement.getOrCreate(context, {
                language: process.env.PW_CLI_TARGET_LANG || 'javascript',
                terminal: true,
            });
        }
    }
    async onContextWillDestroy(context) { }
    async onContextDidDestroy(context) { }
}
exports.InspectorController = InspectorController;
//# sourceMappingURL=inspectorController.js.map